Class | VersionNumber
In: | lib/facets/more/version_number.rb
Parent: | Object

VersionNumber is a simplified form of a Tuple class desgined specifically for dealing with version numbers.

### Methods

<=> =~ [] constraint_lambda inspect major method_missing minor new parse_constraint teeny to_s to_str

### Included Modules

Comparable

### Public Class methods

constraint_lambda( constraint )

Parses a string constraint returning the operation as a lambda.

new( *args )
parse_constraint( constraint )

### Public Instance methods

<=>( other )

"Spaceship" comparsion operator.

=~( other )

For pessimistic constraint (like ’~>’ in gems)

[](i)
inspect()
major()

Major is the first number in the version series.

method_missing( sym, *args, &blk )

Delegate to the array.

minor()

Minor is the second number in the version series.

teeny()

Teeny is third number in the version series.

to_s()
to_str()

This is here only becuase File.join calls it instead of to_s.

[Validate]